OGRE: Ogre::Profiler::ProfileHistory Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Profiler::ProfileHistory Struct Reference

Represents a history of each profile during the duration of the app. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes

String | name
| The name of the profile.
Real | currentTime
| The current percentage of frame time this profile has taken.
Real | maxTime
| The maximum percentage of frame time this profile has taken.
Real | minTime
| The minimum percentage of frame time this profile has taken.
uint | numCallsThisFrame
| The number of times this profile has been called each frame.
Real | totalTime
| The total percentage of frame time this profile has taken (used to calculate average).
ulong | totalCalls
| The total number of times this profile was called (used to calculate average).
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile.

## Detailed Description

Represents a history of each profile during the duration of the app.

Definition at line 299 of file OgreProfiler.h.

## Member Data Documentation

Real Ogre::Profiler::ProfileHistory::currentTime

| The current percentage of frame time this profile has taken. Definition at line 305 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileHistory::hierarchicalLvl

| The hierarchical level of this profile, 0 being the root profile. Definition at line 325 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::maxTime

| The maximum percentage of frame time this profile has taken. Definition at line 308 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::minTime

| The minimum percentage of frame time this profile has taken. Definition at line 311 of file OgreProfiler.h.

String Ogre::Profiler::ProfileHistory::name

| The name of the profile. Definition at line 302 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileHistory::numCallsThisFrame

| The number of times this profile has been called each frame. Definition at line 314 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileHistory::totalCalls

| The total number of times this profile was called (used to calculate average). Definition at line 322 of file OgreProfiler.h.

Real Ogre::Profiler::ProfileHistory::totalTime

| The total percentage of frame time this profile has taken (used to calculate average). Definition at line 318 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:54 2008